Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233759 - SELinux is preventing /usr/sbin/console-kit-daemon (consolekit_t) "search" to lib (var_lib_t).
Summary: SELinux is preventing /usr/sbin/console-kit-daemon (consolekit_t) "search" to...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-24 18:38 UTC by Christopher Aillon
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-22 14:17:08 UTC


Attachments (Terms of Use)

Description Christopher Aillon 2007-03-24 18:38:18 UTC
Summary
    SELinux is preventing /usr/sbin/console-kit-daemon (consolekit_t) "search"
    to lib (var_lib_t).

Detailed Description
    SELinux denied access requested by /usr/sbin/console-kit-daemon. It is not
    expected that this access is required by /usr/sbin/console-kit-daemon and
    this access may signal an intrusion attempt. It is also possible that the
    specific version or configuration of the application is causing it to
    require additional access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for lib, restorecon -v lib If this
    does not work, there is currently no automatic way to allow this access.
    Instead,  you can generate a local policy module to allow this access - see
    http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385 Or you can disable
    SELinux protection altogether. Disabling SELinux protection is not
    recommended. Please file a http://bugzilla.redhat.com/bugzilla/enter_bug.cgi
    against this package.

Additional Information        

Source Context                system_u:system_r:consolekit_t
Target Context                system_u:object_r:var_lib_t
Target Objects                lib [ dir ]
Affected RPM Packages         ConsoleKit-0.2.0-2.fc7
                              [application]filesystem-2.4.3-1.fc7 [target]
Policy RPM                    selinux-policy-2.5.8-8.fc7
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall_file
Host Name                     mithrandir.roheryn.net
Platform                      Linux mithrandir.roheryn.net 2.6.20-1.2999.fc7 #1
                              SMP Mon Mar 19 20:20:42 EDT 2007 i686 i686
Alert Count                   2
First Seen                    Tue 20 Mar 2007 11:53:33 AM EDT
Last Seen                     Tue 20 Mar 2007 12:50:29 PM EDT
Local ID                      5716d596-d48d-4055-81de-38837dabb6f0
Line Numbers                  

Raw Audit Messages            

avc: denied { search } for comm="console-kit-dae" dev=dm-0 egid=0 euid=0
exe="/usr/sbin/console-kit-daemon" exit=-13 fsgid=0 fsuid=0 gid=0 items=0
name="lib" pid=2436 scontext=system_u:system_r:consolekit_t:s0 sgid=0
subj=system_u:system_r:consolekit_t:s0 suid=0 tclass=dir
tcontext=system_u:object_r:var_lib_t:s0 tty=(none) uid=0

Comment 1 Daniel Walsh 2007-03-26 17:27:18 UTC
Should be fixed in selinux-policy-2.5.10-2.fc7

Comment 2 Matthew Miller 2007-04-10 16:34:14 UTC
Fedora 7 test bugs should be filed against "devel", not against test1/2/3. This
isn't obvious, I know. Moving this report so it isn't lost.

This is a bulk message -- I apologize if this was actually meant to be targeted
against a different release. If so, please fix or let me know. Thanks.

Comment 3 Daniel Walsh 2007-08-22 14:17:08 UTC
Should be fixed in the current release



Note You need to log in before you can comment on or make changes to this bug.